/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: XSeriesCollection.idl,v $
 * $Revision: 1.4 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __ooo_vba_excel_XSeriesCollection_idl__
#define __ooo_vba_excel_XSeriesCollection_idl__

#ifndef __com_sun_star_uno_XInterface_idl__
#include <com/sun/star/uno/XInterface.idl>
#endif
#ifndef __ooo_vba_XCollection_idl__
#include <ooo/vba/XCollection.idl>
#endif

//=============================================================================
module ooo {  module vba {  module excel { 
interface XSeries;
//=============================================================================

interface XSeriesCollection
{ 
    interface ::ooo::vba::XCollection;
    //XSeries Add( [in] any Source, [in] any RowCol, [in] any SeriesLabels,
    //	[in] any CategoryLabels, [in] any Replace );	
    XSeries NewSeries();	
    any XSeries( [in] any Item );
};

//=============================================================================

}; }; };

#endif


